//  $HDR$
// **********************************************************************
//  Armin Diehl (diehl@nordrhein.de)
// **********************************************************************
//  $Log:  \\FS-AD\PRJ\GP-Version\Archives\i4l Monitor\I4lmon\i4lMon.dpr.z 
// 
//    Rev 1.1    25.12.2000 16:47:49  ad
//  Language support

// 
program i4lmon;

uses
  Forms,
  WinSock,
  Windows,
  IsdnInfoMon in 'IsdnInfoMon.pas',
  Anruferliste in 'Anruferliste.pas' {AnruferlisteForm},
  ConnectionList in 'ConnectionList.pas' {ConnectionListForm},
  i4lMonMainForm in 'i4lMonMainForm.pas' {MainForm},
  IncomingCall in 'IncomingCall.pas' {IncomingCallForm},
  Aboutbox in 'Aboutbox.pas' {AboutForm},
  ListForm in 'ListForm.pas' {IpppInfoForm},
  NeueNummerFrm in 'NeueNummerFrm.pas' {NeueNummerForm},
  MsgConsts in 'MsgConsts.pas',
  Lang in 'Lang.pas',
  LanguageSelect in 'LanguageSelect.pas' {LanguageSelectForm};

{$R *.RES}

PROCEDURE InitWinSock;
VAR WSData: TWSAData;
BEGIN
  WSAStartup ($0101,WSData);
END;


VAR Hide : BOOLEAN;


begin
  Application.Initialize;
  Lang.SetLang ('DE');
  Hide := (ParamStr(1) = '-m');
  InitWinSock;
  Application.ShowMainForm := NOT Hide;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TIncomingCallForm, IncomingCallForm);
  Application.CreateForm(TAnruferlisteForm, AnruferlisteForm);
  Application.CreateForm(TConnectionListForm, ConnectionListForm);
  Application.Run;
end.
