//  $HDR$
// **********************************************************************
//  Armin Diehl (diehl@nordrhein.de)
// **********************************************************************
//  $Log:  \\FS-AD\PRJ\GP-Version\Archives\i4l Monitor\I4lmon\IncomingCall.pas.z 
// 
//    Rev 1.0    24.12.2000 15:22:29  ad
//  Initial Revision

// 
unit IncomingCall;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TIncomingCallForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    AnrufVonLabel: TLabel;
    AnrufNameLabel: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  IncomingCallForm: TIncomingCallForm = NIL;
  XPos : INTEGER = 10;
  YPos : INTEGER = 10;
  FontName : STRING = 'MS Sans Serif';
  FontSize : INTEGER = 8;
  FontStyle: TFontStyles = [];

implementation

{$R *.DFM}

procedure TIncomingCallForm.FormCreate(Sender: TObject);
begin
  Left := XPos;
  Top  := YPos;
end;

procedure TIncomingCallForm.FormShow(Sender: TObject);
VAR Space : INTEGER;
    Max,Rand   : INTEGER;
begin
  AnrufVonLabel.Font.Name  := FontName;
  AnrufVonLabel.Font.Size  := FontSize;
  AnrufVonLabel.Font.Style := FontStyle;
  AnrufNameLabel.Font.Name  := FontName;
  AnrufNameLabel.Font.Size  := FontSize;
  AnrufNameLabel.Font.Style := FontStyle;

  Space := (AnrufVonLabel.Height DIV 2);
  IF Space > 16 THEN Space := 16;

  AnrufNameLabel.Top := AnrufVonLabel.Top + AnrufVonLabel.Height + Space;
  //IF AnrufNameLabel.Top + AnrufNameLabel.Height + Space + Space > Height THEN
  Height := AnrufNameLabel.Top + AnrufNameLabel.Height + Space + Space + (Height - ClientHeight);
  Rand := Width - ClientWidth;
  Max := AnrufVonLabel.Width;
  IF AnrufNameLabel.Width > Max THEN
    Max := AnrufNameLabel.Width;
  Max := Max + AnrufNameLabel.Left + Rand + 16;
  Width := Max;
end;

end.
