//  $HDR$
// **********************************************************************
//  Armin Diehl (diehl@nordrhein.de)
// **********************************************************************
//  $Log:  \\FS-AD\PRJ\GP-Version\Archives\i4l Monitor\I4lmon\ListForm.pas.z 
// 
//    Rev 1.0    24.12.2000 15:22:26  ad
//  Initial Revision

// 
unit ListForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, StdCtrls, ExtCtrls,
  Lang, MsgConsts;

type
  TIpppInfoForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    OkButton: TButton;
    StringGrid1: TStringGrid;
    procedure OkButtonClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    PROCEDURE LangChangedMsg (VAR Msg : TMessage); Message LangChangedMsgK;
  end;

var
  IpppInfoForm: TIpppInfoForm;

implementation

{$R *.DFM}

procedure TIpppInfoForm.OkButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TIpppInfoForm.FormResize(Sender: TObject);
begin
  StringGrid1.ColWidths[1] := StringGrid1.Width - StringGrid1.ColWidths[0];
  OkButton.Left := Width - 16 - OkButton.Width;
end;

PROCEDURE TIpppInfoForm.LangChangedMsg (VAR Msg : TMessage);
BEGIN
  Caption := GetMsg (M_II_CaptionK);
  OkButton.Caption := GetMsg (M_ButtonOkK);
END;

procedure TIpppInfoForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  IpppInfoForm := NIL;
  Free;
end;

procedure TIpppInfoForm.FormCreate(Sender: TObject);
begin
  PostMessage(Handle,LangChangedMsgK,0,0);
end;

end.
