//  $HDR$
// **********************************************************************
//  Armin Diehl (diehl@nordrhein.de)
// **********************************************************************
//  $Log:  \\FS-AD\PRJ\GP-Version\Archives\i4l Monitor\I4lmon\NeueNummerFrm.pas.z 
// 
//    Rev 1.1    25.12.2000 16:39:53  ad

// 
//    Rev 1.0    24.12.2000 15:22:26  ad
//  Initial Revision

// 
unit NeueNummerFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  Lang, MsgConsts;

type
  TNeueNummerForm = class(TForm)
    OkButton: TButton;
    CancelButton: TButton;
    Panel1: TPanel;
    PhoneNumberLabel: TLabel;
    NummerEdit: TEdit;
    EingehendeNummer: TCheckBox;
    procedure OkButtonClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  NeueNummerForm: TNeueNummerForm;

implementation

{$R *.DFM}

procedure TNeueNummerForm.OkButtonClick(Sender: TObject);
begin
  modalResult := mrOk;
end;

procedure TNeueNummerForm.CancelButtonClick(Sender: TObject);
begin
  modalResult := mrCancel;
end;

procedure TNeueNummerForm.FormCreate(Sender: TObject);
begin
  OkButton.Caption := GetMsg (M_ButtonOkK);
  CancelButton.Caption := GetMsg (M_ButtonCancelK);
  PhoneNumberLabel.Caption := GetMsg (M_PN_PhonenumberK);
  EingehendeNummer.Caption := GetMsg (M_PN_IncomingK);
  Caption := GetMsg (M_PN_CaptionK);
end;

end.
